Commerce
Put v1publicstorefronts buyer
PUT
/
v1
/
public
/
storefronts
/
{slug}
/
buyer
cURL
curl --request PUT \
--url https://api.wazapin.com/v1/public/storefronts/{slug}/buyer \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"saved_addresses": [
{
"address": "<string>",
"city": "<string>",
"district": "<string>",
"province": "<string>",
"area_id": "<string>",
"area_name": "<string>",
"label": "<string>"
}
],
"customer_name": "<string>"
}
'const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
saved_addresses: [
{
address: '<string>',
city: '<string>',
district: '<string>',
province: '<string>',
area_id: '<string>',
area_name: '<string>',
label: '<string>'
}
],
customer_name: '<string>'
})
};
fetch('https://api.wazapin.com/v1/public/storefronts/{slug}/buyer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/public/storefronts/{slug}/buyer"
payload = {
"saved_addresses": [
{
"address": "<string>",
"city": "<string>",
"district": "<string>",
"province": "<string>",
"area_id": "<string>",
"area_name": "<string>",
"label": "<string>"
}
],
"customer_name": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"phone": "<string>",
"recent_order_count": 123,
"saved_addresses": [
{
"address": "<string>",
"city": "<string>",
"district": "<string>",
"province": "<string>",
"area_id": "<string>",
"area_name": "<string>",
"label": "<string>"
}
],
"contact_id": "<string>",
"customer_name": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Path Parameters
Query Parameters
Body
application/json
⌘I
cURL
curl --request PUT \
--url https://api.wazapin.com/v1/public/storefronts/{slug}/buyer \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"saved_addresses": [
{
"address": "<string>",
"city": "<string>",
"district": "<string>",
"province": "<string>",
"area_id": "<string>",
"area_name": "<string>",
"label": "<string>"
}
],
"customer_name": "<string>"
}
'const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
saved_addresses: [
{
address: '<string>',
city: '<string>',
district: '<string>',
province: '<string>',
area_id: '<string>',
area_name: '<string>',
label: '<string>'
}
],
customer_name: '<string>'
})
};
fetch('https://api.wazapin.com/v1/public/storefronts/{slug}/buyer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/public/storefronts/{slug}/buyer"
payload = {
"saved_addresses": [
{
"address": "<string>",
"city": "<string>",
"district": "<string>",
"province": "<string>",
"area_id": "<string>",
"area_name": "<string>",
"label": "<string>"
}
],
"customer_name": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"phone": "<string>",
"recent_order_count": 123,
"saved_addresses": [
{
"address": "<string>",
"city": "<string>",
"district": "<string>",
"province": "<string>",
"area_id": "<string>",
"area_name": "<string>",
"label": "<string>"
}
],
"contact_id": "<string>",
"customer_name": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}